Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neoworks.jukex.sqlimpl
Class JukeXAttribute

    java.lang.Object
      |
      +--com.neoworks.jukex.sqlimpl.JukeXAttribute

All Implemented Interfaces:
  Attribute, java.lang.Comparable, DatabaseObject, java.io.Serializable

public class JukeXAttribute
extends java.lang.Object
implements Attribute, DatabaseObject, java.lang.Comparable

SQL implementation of Attribute for JukeX.

Author:
  Nick Vincent (nick@neoworks.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.neoworks.jukex.Attribute
`TYPE_INT, TYPE_STRING`

Method Summary
`int` | `compareTo(java.lang.Object obj)` Compare this Attribute to another Object.
`boolean` | `equals(java.lang.Object obj)` Indicate whether an Object is equal to this Attribute.
`AttributeValue` | `getAttributeValue(int val)` Get an AttributeValue object representing the integer that was passed
`AttributeValue` | `getAttributeValue(java.lang.String s)` Get an AttributeValue object representing the String object that was passed
`long` | `getId()` Return the database ID of this object
`java.lang.String` | `getLocalisedName(java.util.Locale locale)` Get a localised name for this attribute
`java.lang.String` | `getName()` Get the name of this attribute
`int` | `getType()` Return the type of the attribute, which can be equal to Attribute.TYPE_STRING or Attribute.TYPE_INT
`int` | `hashCode()` Get a hashcode for this Attribute
`java.lang.String` | `toString()` Get a String representation of this Attribute

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public long getId()

  Return the database ID of this object

  Specified by:
    `getId` in interface `DatabaseObject`
  Returns:
    The database ID of this object

### getLocalisedName

    public java.lang.String getLocalisedName(java.util.Locale locale)

  Get a localised name for this attribute

  Specified by:
    `getLocalisedName` in interface `Attribute`
  Parameters:
    `locale` - The required Locale for the name
  Returns:
    A localised name for the attribute

### getName

    public java.lang.String getName()

  Get the name of this attribute

  Specified by:
    `getName` in interface `Attribute`
  Returns:
    The name of the attribute

### compareTo

    public int compareTo(java.lang.Object obj)

  Compare this Attribute to another Object.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### equals

    public boolean equals(java.lang.Object obj)

  Indicate whether an Object is equal to this Attribute.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    Success

### hashCode

    public int hashCode()

  Get a hashcode for this Attribute

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    An integer hashcode

### toString

    public java.lang.String toString()

  Get a String representation of this Attribute

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String

### getAttributeValue

    public AttributeValue getAttributeValue(int val)

  Get an AttributeValue object representing the integer that was passed

  Specified by:
    `getAttributeValue` in interface `Attribute`
  Parameters:
    `val` - The integer to retrieve an AttributeValue object for
  Returns:
    An AttributeValue representing the passed integer.

### getAttributeValue

    public AttributeValue getAttributeValue(java.lang.String s)

  Get an AttributeValue object representing the String object that was passed

  Specified by:
    `getAttributeValue` in interface `Attribute`
  Parameters:
    `s` - The String to retrieve an AttributeValue object for
  Returns:
    An AttributeValue representing the passed String.

### getType

    public int getType()

  Return the type of the attribute, which can be equal to Attribute.TYPE_STRING or Attribute.TYPE_INT

  Specified by:
    `getType` in interface `Attribute`
  Returns:
    The type of the Attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD